Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4858 - Non-uniform directory names from rpm -bp of SPRMS
Summary: Non-uniform directory names from rpm -bp of SPRMS
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-02 15:11 UTC by nathan.zook
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-03 20:51:25 UTC


Attachments (Terms of Use)

Description nathan.zook 1999-09-02 15:11:55 UTC
Lack of version numbers means that installation of a later
source tree will blow away the old one.

Comment 1 Jeff Johnson 1999-09-03 20:51:59 UTC
This is a packager/packaging problem, not an rpm problem. Basically,
you need to "look before you leap" if you're using rpm to build
packages.

Alternatively, you might try these macros that will install all
components from a src.rpm in the same /J/name-version-release
directory (built binaries and src.rpm end up there too):

%_topdir        /J
%_ntopdir       %{_topdir}/%{name}-%{version}-%{release}
%_builddir      %{_ntopdir}
%_rpmdir        %{_ntopdir}
%_sourcedir     %{_ntopdir}
%_specdir       %{_ntopdir}
%_srpmdir       %{_ntopdir}
%_rpmfilename   %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm


Note You need to log in before you can comment on or make changes to this bug.